﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace MvvmBinding.Helpers
{
    public static class CollectionExtensions
    {
        /// <summary>
        /// Converts IEnumerable to ObservableCollection.
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="enumerable"></param>
        /// <returns>ObservableCollection.</returns>
        public static ObservableCollection<T> ToObservableCollection<T>(this IEnumerable<T> enumerable)
        {
            if (enumerable == null) throw new ArgumentNullException(nameof(enumerable));

            var collection = new ObservableCollection<T>();

            foreach (var item in enumerable)
            {
                if (item == null) continue;

                collection.Add(item);
            }

            return collection;
        }
    }
}
