﻿using System.Collections.Generic;
using Common.MVVM.Models;
using Common.Unity;
using MvvmBinding.Helpers;
using MvvmBinding.Models.Customers.Interfaces;

namespace MvvmBinding.Models.Customers
{
    public class CustomerListModel : ReadOnlyBusinessBase<CustomerListModel>
    {
        public IList<ICustomer> Customers { get; set; }

        /// <summary>
        /// Constructor.
        /// </summary>
        public CustomerListModel()
        {
            Customers = UnityService.ResolveList<ICustomer>();
        }

        public void GetCustomers()
        {
            Customers = CustomerMockData.GetCustomers();

            ModelHasChanged(nameof(Customers));
        }


    }
}
